Skip to content
GAMPEONCreate
New project

Bans

GET
/v1/communities/{id}/bans
curl --request GET \
--url https://api.gampeon.com/v1/communities/1/bans \
--header 'Authorization: Bearer <token>'

Needs banMembers.

Not available with access tokens.

id
required
integer
>= 1

Community ID

Up to 500, newest first

Media typeapplication/json
object
bans
required
Array<object>
object
handle
required
string
displayName
required
string
reason
required
string
createdAt
required

Unix time in milliseconds

integer format: int64
bannedBy
required
One of:
string

Example generated

{
"bans": [
{
"handle": "example",
"displayName": "example",
"reason": "example",
"createdAt": 1,
"bannedBy": "example"
}
]
}

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: token_not_allowed, missing_permission

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback